;         Info_men_asm
;Menu  ->  if  <-    1990 Dez 02 13:20:28
if

;Main window definition :
;======================== 

         dc.w  $00C8                ;default window x size
         dc.w  $005D                ;               y size
         dc.w  $00B9                ;initial pointer x position 
         dc.w  $0009                ;                y position 
         dc.b  $00                  ;MSbit clear to clear window
         dc.b  4                    ;shadow depth 
         dc.w  $0001                ;border width 
         dc.w  $0007                ;border colour
         dc.w  $0000                ;paper colour 
         dc.w  0                    ;pointer to pointer sprite
; menu item attributes
         dc.w  $0002                ;current item border width  
         dc.w  $0004                ;             border colour 
; menu item unavailable:
         dc.w  $0000                ;background colour
         dc.w  $0003                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
; menu item available  :
         dc.w  $0007                ;background colour
         dc.w  $0000                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
; menu item selected   :
         dc.w  $0003                ;background colour
         dc.w  $0007                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
;
         dc.w  0                    ;pointer to help window
;base of repeated part of window definition 
         dc.w  $00C8                ;x (min.) size for this layout
         dc.w  $005D                ;y (min.) size for this layout
;pointers to definition lists :
         dc.w  il_if-*              ;information sub-windows 
         dc.w  ll_if-*              ;loose menu items
         dc.w  0                    ;application sub-windows
;
         dc.w  -1                   ;end flag
;
;Information sub-window definition list :
;======================================== 

il_if
;
;Information sub-window No. 0
         dc.w  $0080                ;sub-window x size
         dc.w  $000E                ;sub-window y size
         dc.w  $0024                ;sub-window x origin
         dc.w  $0000                ;sub-window y origin
         dc.b  $00                  ;MSbit clear to clear window
         dc.b  0                    ;shadow depth 
         dc.w  $0000                ;border width 
         dc.w  $0000                ;border colour
         dc.w  $0002                ;paper colour 
         dc.w  ol0_if-*             ;pointer to information object list
;
;Information sub-window No. 1
         dc.w  $00C8                ;sub-window x size
         dc.w  $000B                ;sub-window y size
         dc.w  $0000                ;sub-window x origin
         dc.w  $000E                ;sub-window y origin
         dc.b  $00                  ;MSbit clear to clear window
         dc.b  0                    ;shadow depth 
         dc.w  $0000                ;border width 
         dc.w  $0000                ;border colour
         dc.w  $0000                ;paper colour 
         dc.w  ol1_if-*             ;pointer to information object list
;
;Information sub-window No. 2
         dc.w  $0074                ;sub-window x size
         dc.w  $001B                ;sub-window y size
         dc.w  $0052                ;sub-window x origin
         dc.w  $0040                ;sub-window y origin
         dc.b  $00                  ;MSbit clear to clear window
         dc.b  0                    ;shadow depth 
         dc.w  $0001                ;border width 
         dc.w  $0003                ;border colour
         dc.w  $0000                ;paper colour 
         dc.w  ol2_if-*             ;pointer to information object list
;
         dc.w  -1                   ;end flag
;
;
;Information sub-window No. 0 object list :


;object type: <0  text, underline -type'th character
;             =0  text, no underline
;             =2  sprite
;             =4  blob
;             =8  pattern 

ol0_if
         dc.w  $0066                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $001A                ;       x origin
         dc.w  $0002                ;       y origin
         dc.b  0                    ;object type
         dc.b  0                    ;spare
         dc.w  $0007                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob1_if-*             ;pointer to object
;
;
         dc.w  -1                   ;end flag
;
;
;Information sub-window No. 1 object list :

;object type: <0  text, underline -type'th character
;             =0  text, no underline
;             =2  sprite
;             =4  blob
;             =8  pattern 

ol1_if
         dc.w  $002C                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $002C                ;       x origin
         dc.w  $0001                ;       y origin
         dc.b  0                    ;object type
         dc.b  0                    ;spare
         dc.w  $0004                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob2_if-*             ;pointer to object
;
         dc.w  $0022                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $0006                ;       x origin
         dc.w  $0001                ;       y origin
         dc.b  0                    ;object type
         dc.b  0                    ;spare
         dc.w  $0004                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob3_if-*             ;pointer to object
;
         dc.w  $0026                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $0054                ;       x origin
         dc.w  $0001                ;       y origin
         dc.b  0                    ;object type
         dc.b  0                    ;spare
         dc.w  $0004                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob4_if-*             ;pointer to object
;
         dc.w  $0024                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $007C                ;       x origin
         dc.w  $0001                ;       y origin
         dc.b  0                    ;object type
         dc.b  0                    ;spare
         dc.w  $0004                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob5_if-*             ;pointer to object
;
         dc.w  $0020                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $00A6                ;       x origin
         dc.w  $0001                ;       y origin
         dc.b  0                    ;object type
         dc.b  0                    ;spare
         dc.w  $0004                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob6_if-*             ;pointer to object
;
;
         dc.w  -1                   ;end flag
;
;
;Information sub-window No. 2 object list :
ol2_if
         dc.w  $0064                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $0002                ;       x origin
         dc.w  $0002                ;       y origin
         dc.b  -1                   ;object type
         dc.b  0                    ;spare
         dc.w  $0004                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob7_if-*             ;pointer to object
;
         dc.w  $0064                ;object x size
         dc.w  $000A                ;       y size
         dc.w  $0002                ;       x origin
         dc.w  $000F                ;       y origin
         dc.b  -1                   ;object type
         dc.b  0                    ;spare
         dc.w  $0004                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  ob8_if-*             ;pointer to object
;
;
         dc.w  -1                   ;end flag
;
;Loose menu item list :
;======================

;object type: <0  text, underline -type'th character
;             =0  text, no underline
;             =2  sprite
;             =4  blob
;             =8  pattern 

ll_if
;
;Loose menu item No. 0        BLITZ, alle Pins nullen
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0004                ;           x origin
         dc.w  $0002                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  2                    ;object type
         dc.b  237          ;CTRL F2   ;selection keystroke
         dc.w  ob9_if-*             ;pointer to object
         dc.w  $0000                ;item number
         dc.w  pinneu-*                    ;pointer to action routine
;
;Loose menu item No. 1        ESC
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $00A8                ;           x origin
         dc.w  $0002                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob10_if-*            ;pointer to object
         dc.w  $0001                ;item number
         dc.w  esc-*                    ;pointer to action routine
;
;Loose menu item No. 2        A0..A15
         dc.w  $0028                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $009A                ;           x origin
         dc.w  $0042                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  'A'                  ;selection keystroke
         dc.w  ob11_if-*            ;pointer to object
         dc.w  $0002                ;item number
         dc.w  adinp-*                    ;pointer to action routine
;
;Loose menu item No. 3        D0..D7
         dc.w  $0028                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $009A                ;           x origin
         dc.w  $004F                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  'D'                  ;selection keystroke
         dc.w  ob12_if-*            ;pointer to object
         dc.w  $0003                ;item number
         dc.w  dainp-*                    ;pointer to action routine
;
;Loose menu item No. 4        Pin1 L
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0004                ;           x origin
         dc.w  $001B                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob13_if-*            ;pointer to object
         dc.w  $0004                ;item number
         dc.w  pin1_l-*                    ;pointer to action routine
;
;Loose menu item No. 5        Pin1 H
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0004                ;           x origin
         dc.w  $0027                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob14_if-*            ;pointer to object
         dc.w  $0005                ;item number
         dc.w  pin1_h-*                    ;pointer to action routine
;
;Loose menu item No. 6        Pin1 12V
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0004                ;           x origin
         dc.w  $0033                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob15_if-*            ;pointer to object
         dc.w  $0006                ;item number
         dc.w  pin1_12-*                    ;pointer to action routine
;
;Loose menu item No. 7        Pin1 16V
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0004                ;           x origin
         dc.w  $003F                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob16_if-*            ;pointer to object
         dc.w  $0007                ;item number
         dc.w  pin1_16-*                    ;pointer to action routine
;
;Loose menu item No. 8        Pin1 A15
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0004                ;           x origin
         dc.w  $004E                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob17_if-*            ;pointer to object
         dc.w  $0008                ;item number
         dc.w  pin1_a15-*                    ;pointer to action routine
;
;Loose menu item No. 9        Pin22 L
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $002E                ;           x origin
         dc.w  $001B                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob13_if-*            ;pointer to object
         dc.w  $0009                ;item number
         dc.w  pin22_l-*                    ;pointer to action routine
;
;Loose menu item No. 10       Pin22 H
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $002E                ;           x origin
         dc.w  $0027                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob14_if-*            ;pointer to object
         dc.w  $000A                ;item number
         dc.w  pin22_h-*                    ;pointer to action routine
;
;Loose menu item No. 11       Pin22 12V
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $002E                ;           x origin
         dc.w  $0033                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob15_if-*            ;pointer to object
         dc.w  $000B                ;item number
         dc.w  pin22_12-*                    ;pointer to action routine
;
;Loose menu item No. 12       Pin22 16V
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $002E                ;           x origin
         dc.w  $003F                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob16_if-*            ;pointer to object
         dc.w  $000C                ;item number
         dc.w  pin22_16-*                    ;pointer to action routine
;
;Loose menu item No. 13       Pin20 L
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0056                ;           x origin
         dc.w  $001B                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob13_if-*            ;pointer to object
         dc.w  $000D                ;item number
         dc.w  pin20_l-*                    ;pointer to action routine
;
;Loose menu item No. 14       Pin20 H
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0056                ;           x origin
         dc.w  $0027                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob14_if-*            ;pointer to object
         dc.w  $000E                ;item number
         dc.w  pin20_h-*                    ;pointer to action routine
;
;Loose menu item No. 15       Pin27 L
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $007E                ;           x origin
         dc.w  $001B                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob13_if-*            ;pointer to object
         dc.w  $000F                ;item number
         dc.w  pin27_l-*                    ;pointer to action routine
;
;Loose menu item No. 16       Pin27 H
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $007E                ;           x origin
         dc.w  $0027                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob14_if-*            ;pointer to object
         dc.w  $0010                ;item number
         dc.w  pin27_h-*                    ;pointer to action routine
;
;Loose menu item No. 17       Pin28 0V
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $00A8                ;           x origin
         dc.w  $001B                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  -1                    ;object type
         dc.b  '0'                   ;selection keystroke
         dc.w  ob26_if-*            ;pointer to object
         dc.w  $0011                ;item number
         dc.w  pin28_0-*                    ;pointer to action routine
;
;Loose menu item No. 18       Pin28 5V
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $00A8                ;           x origin
         dc.w  $0027                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  -1                    ;object type
         dc.b  '5'                    ;selection keystroke
         dc.w  ob27_if-*            ;pointer to object
         dc.w  $0012                ;item number
         dc.w  pin28_5-*                    ;pointer to action routine
;
;Loose menu item No. 19       Pin27 A14
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $007E                ;           x origin
         dc.w  $0033                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  ob28_if-*            ;pointer to object
         dc.w  $0013                ;item number
         dc.w  pin27_14-*                    ;pointer to action routine
;
;Loose menu item No. 20       Pin28 6V
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $00A8                ;           x origin
         dc.w  $0033                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  -1                    ;object type
         dc.b  '6'                    ;selection keystroke
         dc.w  ob29_if-*            ;pointer to object
         dc.w  $0014                ;item number
         dc.w  pin28_6-*                    ;pointer to action routine
;
;Loose menu item No. 21       Pin22 MUX
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $002E                ;           x origin
         dc.w  $004E                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  -1                    ;object type
         dc.b  'M'                    ;selection keystroke
         dc.w  ob30_if-*            ;pointer to object
         dc.w  $0015                ;item number
         dc.w  p22_mux-*                    ;pointer to action routine
;
;Loose menu item No. 22       Pin20 GAL
         dc.w  $001C                ;hit area   x size
         dc.w  $000A                ;           y size
         dc.w  $0056                ;           x origin
         dc.w  $0033                ;           y origin
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  -1                    ;object type
         dc.b  'G'                    ;selection keystroke
         dc.w  ob31_if-*            ;pointer to object
         dc.w  $0016                ;item number
         dc.w  p20_prg-*                    ;pointer to action routine
;
         dc.w  -1                   ;end flag
;
;Object list :
;============= 
; Object No. 1
ob1_if
         dc.w  13
         dc.b  'Hardware-Test',0

; Object No. 2
ob2_if
         dc.w  5
         dc.b  'Pin22',0

; Object No. 3
ob3_if
         dc.w  4
         dc.b  'Pin1'

; Object No. 4
ob4_if
         dc.w  5
         dc.b  'Pin20',0

; Object No. 5
ob5_if
         dc.w  5
         dc.b  'Pin27',0

; Object No. 6
ob6_if
         dc.w  5
         dc.b  'Pin28',0

; Object No. 7
ob7_if
         dc.w  11
         dc.b  'A0 .. A15 $',0

; Object No. 8
ob8_if
         dc.w  11
         dc.b  'D0 .. D7  $',0

; Object No. 9       -> SPRITE
ob9_if
sp1_if
         dc.w  $0100,$0000          ;form, time/adaption
         dc.w  $000E,$0009          ;x size, y size 
         dc.w  $0006,$0004          ;x origin, y origin 
         dc.l  cp1_if-*             ;pointer to colour pattern
         dc.l  pm1_if-*             ;pointer to pattern mask
         dc.l  0                    ;pointer to next definition 
cp1_if
         dc.w  $0000,$0404
         dc.w  $0000,$0808
         dc.w  $0202,$3030
         dc.w  $0606,$E0E0
         dc.w  $0F0F,$C0C0
         dc.w  $1D1D,$8080
         dc.w  $3131,$0000
         dc.w  $4040,$0000
         dc.w  $8080,$0000
pm1_if
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000

; Object No. 10
ob10_if
         dc.w  3
         dc.b  'ESC',0

; Object No. 11
ob11_if
         dc.w  4
         dc.b  '0000'

; Object No. 12
ob12_if
         dc.w  2
         dc.b  '00'

; Object No. 13
ob13_if
         dc.w  1
         dc.b  'L',0

; Object No. 14
ob14_if
         dc.w  1
         dc.b  'H',0

; Object No. 15
ob15_if
         dc.w  3
         dc.b  '12V',0

; Object No. 16
ob16_if
         dc.w  3
         dc.b  '16V',0

; Object No. 17
ob17_if
         dc.w  3
         dc.b  'A15',0

; Object No. 26
ob26_if
         dc.w  2
         dc.b  '0V'

; Object No. 27
ob27_if
         dc.w  2
         dc.b  '5V'

; Object No. 28
ob28_if
         dc.w  3
         dc.b  'A14',0

; Object No. 29
ob29_if
         dc.w  2
         dc.b  '6V'

; Object No. 30
ob30_if
         dc.w  3
         dc.b  'MUX',0

; Object No. 31
ob31_if
         dc.w  3
         dc.b  'GAL',0
;
;worklen
;         dc.l  $00000350            ;(first layout) working definition length
;statlen
;         dc.l  $00000060            ;(first layout) status area length
;    end
