;    ***  EPROMMER_ROM_asm ( + GALA, falls 32k EPROM ) ***	  18.04.1993
	  data	    0

	  section   epr2

rombase   dc.l	    $4AFB0001		; Rom-Flag
	  dc.w	    defp-rombase	; Basic_ini
	  dc.w	    0			; Ini-Routine
meldung   dc.w	    36			;		',$0A
	  dc.b	    'EPROMMERII V1d05 +GAL-Brenner 93Jo',$0A
	  dc.w	    -1

; CALL $10030
	  lea	    meldung(pc),a1
	  suba.l    a0,a0
	  movea.w   $D0,a2
	  jsr	    (a2)
	  bra.s     ini
defp
	  dc.w	    1
	  dc.w	    ini-*
	  dc.b	    7,'EPR_EXT'
	  dc.w	    0,0,0
ini
	  lea	    eprgalst(pc),a4	; EPROMMER II + GALA anmelden
	  lea	    gala+6(pc),a1
	  move.l    (a1)+,d0
	  cmpi.l    #$4AFB0009,d0	; Jobflag + Lnge Jobname
	    bne.s   epr16k
	  move.l    (a1)+,d0
	  cmpi.l    #'GALA',d0		; Name
	    beq.s   epr32k
epr16k
	  lea	    eprlist(pc),a4	; nur EPROMMER II anmelden
epr32k
	  bra	    init_thg

; --------------------------------------
epr3
	  incbin    win1_src_epr2_105_EPROMMER_D
; --------------------------------------
; Things
epr3thg
	  dc.b	    'THG%'		; Flag
	  dc.l	    1			; Thing-Type
	  dc.l	    epr3-epr3thg
	  dc.l	    10+12		; header length
	  dc.l	    $11200		; data space
	  dc.l	    epr3-epr3thg
galathg
	  dc.b	    'THG%'		; Flag
	  dc.l	    1			; Thing-Type
	  dc.l	    gala-galathg
	  dc.l	    10+10		; header length
	  dc.l	    $3000		; data space
	  dc.l	    gala-galathg

; Liste
eprgalst
	  dc.w	    galadata-*
eprlist
	  dc.w	    epr3data-*
	  dc.w	    -1			; End Flag

; Init Thing data
epr3data
	  dc.w	    epr3thg-*		; Pointer to THG%-Header
	  dc.b	    -1			; Basic  true
	  dc.b	    -1			; hotkey true
	  dc.l	    0			; owner Basic
	  dc.w	    8			; priority
	  dc.w	    0			; timeout
	  dc.b	    0,'e'		; hotkey ALT 'e'
	  dc.l	    '1d05'		; Version
	  dc.w	    8			; Name
	  dc.b	    'EPROMMER'
galadata
	  dc.w	    galathg-*		; Pointer to THG%-Header
	  dc.b	    -1			; Basic  true
	  dc.b	    -1			; hotkey true
	  dc.l	    0			; owner Basic
	  dc.w	    8			; priority
	  dc.w	    0			; timeout
	  dc.b	    0,'g'		; hotkey ALT 'g'
	  dc.l	    '1d01'		; Version
	  dc.w	    4			; Name
	  dc.b	    'GALA'
init_thg
	  incbin    win1_src_epr2_105_init_thg
; --------------------------------------
; aufllen mit $FF bis ber $4000
	  dcb.w     1103,-1

; --------------------------------------
gala
	  incbin    win1_src_epr2_105_GALA
; --------------------------------------
      end
