; fenstermen_e_asm
;Menu  ->  fe englisch <-    22.06.91

;Main window definition
fe
         dc.w  $01A0                ;window x size   68*6 + 4
         dc.w  $00BC                ;window y size
         dc.w  $0180                ;window x origin
         dc.w  $000B                ;window y origin
         dc.b  0                    ;MSbit clear to clear window
         dc.b  0                    ;shadow depth
         dc.w  $0001                ;border width 
         dc.w  $0007                ;border colour
         dc.w  $0000                ;paper colour 
         dc.w  0                    ;pointer to pointer sprite
;menu item attributes 
         dc.w  $0001                ;current item border width  
         dc.w  $0004                ;             border colour 
;menu item unavailable :
         dc.w  $0000                ;background colour
         dc.w  $0003                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
;menu item available   :
         dc.w  $0007                ;background colour
         dc.w  $0000                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
;menu item selected    :
         dc.w  $0003                ;background colour
         dc.w  $0007                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
;
         dc.w  $0000                ;pointer to help window
;base of repeated part of window definition 
         dc.w  $01A0                ;x (minimum) size for this layout
         dc.w  $00BC                ;y (minimum) size for this layout
;pointers to definition lists :
         dc.w  fe_infl-*            ;information sub-windows 
         dc.w  fe_loosl-*           ;loose menu items
         dc.w  fe_appl-*            ;application sub-windows
;
         dc.w  -1                   ;end flag
;
;Information sub-window definition list :

fe_infl
;
;Information sub-window No. 0
         dc.w  $0108                ;window x size
         dc.w  $000D                ;window y size
         dc.w  $0048                ;window x origin
         dc.w  $0001                ;window y origin
         dc.b  0                    ;MSbit clear to clear window
         dc.b  0                    ;shadow depth 
         dc.w  $0000                ;border width 
         dc.w  $0000                ;border colour
         dc.w  $0000                ;paper colour 
         dc.w  fe_i0_objl-*         ;pointer to information object list
;
         dc.w  -1                   ;end flag
;
;
;Information sub-window No. 0 object list :
fe_i0_objl
;
         dc.w  $0098                ;info object x size 
         dc.w  $000A                ;            y size 
         dc.w  $003C                ;            x origin 
         dc.w  $0002                ;            y origin 
         dc.b  0                    ;object type
         dc.b  0                    ;spare
         dc.w  $0007                ;text ink colour
         dc.b  0                    ;text character x size
         dc.b  0                    ;text character y size
         dc.w  eprftext-*            ;pointer to object
;
         dc.w  -1                   ;end flag
;
;Loose menu item list :

fe_loosl
;
;Loose item No. 0
         dc.w  $0022                ;hit area  x size 
         dc.w  $000D                ;          y size 
         dc.w  $0174                ;          x origin
         dc.w  $0001                ;          y origin 
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  0                    ;object type
         dc.b  0                    ;selection keystroke
         dc.w  fe_obj2-*            ;pointer to object
         dc.w  $0000                ;item number
         dc.w  esc-*                ;pointer to action routine
;
;Loose item No. 1
         dc.w  $0026                ;hit area  x size 
         dc.w  $000D                ;          y size 
         dc.w  $000A                ;          x origin
         dc.w  $0001                ;          y origin 
         dc.b  0                    ;object x justification 
         dc.b  0                    ;object y justification 
         dc.b  2                    ;object type
         dc.b  237                  ;selection keystroke  CTRL F2
         dc.w  fe_obj1-*            ;pointer to object
         dc.w  $0001                ;item number
         dc.w  fenstneu-*                ;pointer to action routine
;
;Loose item No. 2
;         dc.w  $0022                ;hit area  x size
;         dc.w  $000D                ;          y size
;         dc.w  $002E                ;          x origin
;         dc.w  $0001                ;          y origin
;         dc.b  0                    ;object x justification
;         dc.b  0                    ;object y justification
;         dc.b  -1                   ;object type
;         dc.b  'E'                  ;selection keystroke
;         dc.w  fe_obj0-*            ;pointer to object
;         dc.w  $0002                ;item number
;         dc.w  noevent-*                ;pointer to action routine
;
         dc.w  -1                   ;end flag
;
;Application sub-window definition list :

fe_appl
         dc.w  fe_app0-*
;
         dc.w  0                    ;end flag
;
;
;Application sub-window No.0
fe_app0
         dc.w  $0194                ;window x size
         dc.w  $00AB                ;window y size
         dc.w  $0002                ;window x origin
         dc.w  $0010                ;window y origin
         dc.b  0                    ;MSbit clear to clear window
         dc.b  0                    ;shadow depth 
         dc.w  $0001                ;border width 
         dc.w  $0004                ;border colour
         dc.w  $0000                ;paper colour 
         dc.w  0                    ;pointer to pointer sprite
         dc.w  $0000                ;pointer to setup routine 
         dc.w  $0000                ;pointer to draw routine
         dc.w  applhit-*                ;pointer to hit routine
         dc.w  applcontr-*              ;pointer to control routine
         dc.w  $0000                ;maximum number of x control sections 
         dc.w  $0001                ;maximum number of y control sections
         dc.b  9                    ;selection keystroke TAB
         dc.b  0                    ;zero

; controll definition PAN
          dc.l      0,0,0,0,0,0

; control definition SCROLL
          dc.w      0
          dc.l      0,0,0,0
          dc.w      4
          dc.w      0
          dc.w      7
; -------------------------
         dc.w  $0000                ;pointer to menu status block 
;menu item attributes 
         dc.w  $0001                ;current item border width  
         dc.w  $0003                ;             border colour 
;menu item unavailable :
         dc.w  $0000                ;background colour
         dc.w  $0003                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
;menu item available   :
         dc.w  $0000                ;background colour
         dc.w  $0007                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
;menu item selected    :
         dc.w  $0003                ;background colour
         dc.w  $0007                ;text object ink colour 
         dc.w  $0000                ;pointer to blob for pattern
         dc.w  $0000                ;pointer to pattern for blob
;
         dc.w  $0000                ;number of actual columns 
         dc.w  $0000                ;number of actual rows
         dc.w  $0000                ;x offset to start of menu (section)
         dc.w  $0000                ;y offset to start of menu (section)
         dc.w  $0000                ;pointer to x (column) spacing list 
         dc.w  $0000                ;pointer to y (row) spacing list
         dc.w  $0000                ;pointer to x (column) index list 
         dc.w  $0000                ;pointer to y (row) index list
         dc.w  $0000                ;pointer to menu row list
;
;Object list :
;
;
;Object No. 0
;fe_obj0
;         dc.w  4
;         dc.b  'ENDE'
;
;Object No. 1
fe_obj1
;         dc.w  5
;         dc.b  'START',0
;sp1_nochmal_
         dc.w  $0100,$0000          ;form, time/adaption
         dc.w  $000E,$0009          ;x size, y size 
         dc.w  $0006,$0004          ;x origin, y origin 
         dc.l  cp1_nochmal_-*       ;pointer to colour pattern
         dc.l  pm1_nochmal_-*       ;pointer to pattern mask
         dc.l  0                    ;pointer to next definition 
cp1_nochmal_
         dc.w  $0000,$0404
         dc.w  $0000,$0808
         dc.w  $0202,$3030
         dc.w  $0606,$E0E0
         dc.w  $0F0F,$C0C0
         dc.w  $1D1D,$8080
         dc.w  $3131,$0000
         dc.w  $4040,$0000
         dc.w  $8080,$0000
pm1_nochmal_
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000
         dc.w  $0000,$0000

;Object No. 2
fe_obj2
         dc.w  3
         dc.b  'ESC',0
;
;Object No. 3
eprftext
          dc.w      18
;         dc.b      'EPROM - Fenster  $'
          dc.b      ' EPROM - window  $'
jedftext
          dc.w      18
;         dc.b      'JEDEC - Fenster  $'
          dc.b      ' JEDEC - window  $'
;
;         end  fe
