; Universal Routine for executable things ( jobs ), to :
; make_lower bhi korrigiert 18.11.91 Jo
;               Link THING
;               Init BASIC Procedure to start thing
;               Install Hotkey to pick or start thing ( HOT_WAKE )
;
;call parameter:        a4      pointer to init list
;inint list format:
;                       list of relative word pointers to data blocks
;                       terminated by a word -1.
;thing data block format:
data_thing      equ     $00     ;word  pointer to thing header + code
data_bas_flg    equ     $02     ;byte  make basic extension if true
data_hk_flg     equ     $03     ;byte  make hotkey if true
data_owner      equ     $04     ;long  owner
data_priority   equ     $08     ;word  priority
data_timeout    equ     $0a     ;word  timeout -> MT.ACTIV
data_key        equ     $0c     ;word  hot key or 0
data_version    equ     $0e     ;long  version
data_name       equ     $12     ;bytes name     ( upper case max. 32 char. )
;
;universal thing/hotkey/basic routine
;a4 pointing to init list              returns d0 -> error
;d1-a5 ???
;return ok if called again
; -------------------------------------------------
          data      0
; -------------------------------------------------
init_thing

;find first thing in list, if found -> already installed -> return ok.
        moveq   #0,d0
        moveq   #-1,d3
        move.w  (a4),d4
        cmp.w   d4,d3                   ;empty list ?
        bne.s   find_first_thing
        rts
make_lower
        cmpi.b  #'A',d2
        bcs.s   no_upper
        cmpi.b  #'Z',d2
        bhi.s   no_upper
        bset    #5,d2           ;make lower case
no_upper
        rts
thing_name
        dc.b    0,5,'THING',0
hotkey_name
        dc.b    0,6,'HOTKEY'
find_thg
;a1 to name
        move.w  sr,d0
        trap    #0
        move.w  d0,-(a7)        ;save sr
        moveq   #0,d0           ;MT.INF
        trap    #1
        lea     $b8(a0),a0      ;SV_THING
        moveq   #-7,d0
find_loop
        move.l  (a0),d1
        beq.s   end_find_thing
        move.l  d1,a0
        lea     $2a(a0),a2      ;TH_NAME
        move.w  (a1),d1
        move.l  a1,a3
        addq.w  #1,d1
cmp_loop
        move.b  (a3)+,d2
        move.b  (a2)+,d4
        bsr.s   make_lower
        exg     d2,d4
        bsr.s   make_lower
        cmp.b   d4,d2
        dbne    d1,cmp_loop
        bne.s   find_loop
        move.l  $10(a0),a3      ;TH_THING
        cmpi.l  #'THG%',(a3)   ;'THG%'   flag ok ?
        bne.s   find_loop
        moveq   #0,d0
end_find_thing
        move.w  (a7)+,sr        ;restore sr and pass to user mode
        tst.l   d0
        rts
reserve_heap
        move.l  a3,-(a7)
        moveq   #$18,d0         ;MT.ALCHP
        moveq   #0,d2           ;owner Basic
        trap    #1
        move.l  (a7)+,a3
        tst.l   d0
end_init_thing
        rts
find_first_thing
        lea     0(a4,d4.w),a1
        lea     data_name(a1),a1
        bsr.s   find_thg
        beq.s   end_init_thing          ;if found -> return ok.
        lea     thing_name,a1
        bsr.s   find_thg
        bne.s   end_init_thing
        moveq   #-7,d0
        cmp.l   $4(a3),d3       ;THH_TYPE  -1 ?
        bne.s   end_init_thing
        tst.l   (a0)            ;last ?
        bne.s   end_init_thing
        moveq   #0,d0
        move.l  a3,d6
        move.l  a4,d7
loop_init_thing
        moveq   #-1,d3
        move.l  d6,a3
        move.l  d7,a4
        move.w  (a4)+,d4
        move.l  a4,d7
        cmp.w   d3,d4
        beq.s   end_init_thing
        lea     -2(a4,d4.w),a5          ;thing_data
        moveq   #$2c,d1         ;$2c
        add.w   data_name(a5),d1        ;+ name length
        tst.b   data_bas_flg(a5)
        beq.s   go_reserve_heap
        addi.w  #28,d1          ;for proc
go_reserve_heap
        bsr.s   reserve_heap
        bne.s   end_init_thing
        tst.b   data_bas_flg(a5)
        beq.s   make_thing
        move.l  a0,a1
        addq.w  #1,(a1)+                ;1 procedure
        lea     data_name(a5),a2
        move.w  (a2),d1
        move.w  d1,d5
        addq.w  #3,d5
        bclr    #0,d5                   ;aligned name length + length word
        move.w  #$28,(a1)               ;$2a-2
        add.w   d5,(a1)+                ;+ name length = proc pointer
        addq.w  #1,a2
basic_loop
        move.b  (a2)+,d2
        cmpi.b  #'A',d2
        bcs.s   not_upper
        cmpi.b  #'Z',d2
        bcc.s   not_upper
        bclr    #5,d2
not_upper
        move.b  d2,(a1)+
        dbf     d1,basic_loop
        move.l  a0,a1
        movea.w $110,a2                 ;bp_init
        jsr     (a2)
        tst.l   d0
        bne     end_make_thing
make_thing
        move.l  a0,a1
        bsr     clear_4longa0
        move.l  a5,a2
        adda.w  (a5),a2
        move.l  a2,(a0)+                ;pointer to thing
        bsr     clear_4longa0
        clr.w   (a0)+
        move.l  data_version(a5),(a0)+
        bsr     go_copy_name
        tst.b   data_bas_flg(a5)
        beq.s   link_thing
        move.w  #$223c,(a0)+                ;move.l # ... ,d1
        move.l  data_owner(a5),(a0)+
        move.w  #$243c,(a0)+                ;move.l # ... ,d2
        move.l  data_priority(a5),(a0)+
        move.l  #$41fafff2,(a0)+            ;lea owner,a0
        sub.w   d5,-2(a0)                   ;-> lea name,a0
        move.l  #$43fa0008,(a0)+
        move.w  #$4ef9,(a0)+
        move.l  $c(a3),(a0)+                ; jmp TH_EXEC
link_thing
        moveq   #$26,d0         ;SMS.LTHG
        move.l  8(a3),a2        ;SMS2  trap #1
        jsr     (a2)
        tst.l   d0
        bne.s   end_make_thing
        tst.b   data_hk_flg(a5)
        beq.s   end_make_thing
        lea     hotkey_name,a1
        bsr     find_thg
        bne.s   end_make_thing
        moveq   #10,d1
        add.w   data_name(a5),d1
        bsr     reserve_heap
        bne.s   end_make_thing
        move.l  a0,a1                   ;pointer to item
        move.w  #'hi',(a0)+
        move.w  #10,(a0)+               ;pick and wake or execute thing
        clr.l   (a0)+
        bsr.s   go_copy_name
        moveq   #2,d0                   ;new
        move.w  data_key(a5),d1
        move.l  $20(a3),a2
        jsr     (a2)
        tst.l   d0
        beq     loop_init_thing
end_make_thing
        rts
go_copy_name
        lea     data_name(a5),a2
        move.w  (a2),d1
        addq.w  #1,d1
        bclr    #0,d1
        addq.w  #1,d1
copy_name
        move.b  (a2)+,(a0)+
        dbf     d1,copy_name
        rts
clear_4longa0
        clr.l   (a0)+
        clr.l   (a0)+
        clr.l   (a0)+
        clr.l   (a0)+
        rts
;
        end

