; Eprom Header Sandy V2.18x
; FLP / ATR / Basic  DD / HD

          section   main

          xdef      base

          xref.l    rom.vers
          xref.l    datum

          xref      fq_init   ; Floppy Disk
;          xref      par_init  ; Centronics
;          xref      rd_init   ; Ram Disk
;          xref      ramuse
;          xref      flpuse
;          xref      paruse
;          xref      flptrack
;          xref      flpstep
;          xref      flpstart
;          xref      flpsec

          xref      at_init   ; ATRdev
          xref      atrdev1
          xref      atrconv
          xref      atruse
          xref      atrtrack

          xref      iou_flnk

          include   'flp1_dd_fq_ddlk'
;+++
; ROM Header Sandy
;---
base
        bra.s   ini     ; nur fr TEST
        nop
;-          dc.l      $4AFB0001
          dc.w      defproc-base
          dc.w      ini-base
          dc.w      $24                      ;
          dc.b      'Sandy Disk Controller V2'
          dc.l      rom.vers
          dc.b      ' 1992Jo',$0A
          dc.l      datum
ini
reg.rom   reg       a0/a3
          movem.l   reg.rom,-(sp)

          move.l    #'FLP0',d7
          jsr       iou_flnk(pc)
            bne.s   ini_err
          lea       -$18(a0),a0         ; flp ddd
          move.l    a0,d7

          bsr       fq_init
;-          bsr       par_init            ; Achtung: par_init NACH fq_init !!!
;-          bsr       rd_init
          move.l    d7,fdd_ftst(a3)     ; bei $F8(a3) merken, TEST

; BASIC einbinden
          lea       defproc(pc),a1
basic_ini
          movea.w   $110,a2             ; BP_INIT
          jsr       (a2)

          movem.l   (sp)+,reg.rom
          moveq     #0,d0
ini_err
          rts

;         Basic - Procedure 'ATR_DEV'
atrdev0
          movem.l   reg.rom,-(sp)
          bsr       at_init
          lea       atrdefp(pc),a1
          bra.s     basic_ini

defproc
          dc.w      1; 8
;          dc.w      ramuse-*
;          dc.b      7,'RAM_USE'
;          dc.w      flpuse-*
;          dc.b      7,'FLP_USE'
;          dc.w      paruse-*
;          dc.b      7,'PAR_USE'
;          dc.w      flptrack-*
;          dc.b      9,'FLP_TRACK'
;          dc.w      flpstep-*
;          dc.b      8,'FLP_STEP',0
;          dc.w      flpstart-*
;          dc.b      9,'FLP_START'
;          dc.w      flpsec-*
;          dc.b      7,'FLP_SEC'
          dc.w      atrdev0-*
          dc.b      7,'ATR_DEV'
          dc.w      0,0,0
atrdefp
          dc.w      4
          dc.w      atrdev1-*
          dc.b      7,'ATR_DEV'
          dc.w      atrconv-*
          dc.b      8,'ATR_CONV',0
          dc.w      atruse-*
          dc.b      7,'ATR_USE'
          dc.w      atrtrack-*
          dc.b      9,'ATR_TRACK'
          dc.w      0,0,0
          dc.w      -1
     end
