;         zeitktest_asm
          errors    scr
          data      0

          bra.s     initest
ausw      dc.w      1
zeitk     dc.w      $001A
          dc.w      -1
mal       dc.w      $4000
          dc.w      -1

; INI-Routine
initest
          lea       $C8000,a2
ini
          moveq     #0,d0               ; DDR-Access DDR-reg
          moveq     #-1,d1              ; DDR-Register Ausgang
          move.l    #$04040404,d2       ; DDR-Access P-reg
; A0..A15 Ausgang, D0..D7 Eingang, Bit 0..7 Ausgang
          move.l    d2,4(a2)            ; alle P-Register anwhlen
          move.l    d0,(a2)             ; alle P-Register auf Null
          move.l    d0,4(a2)            ; alle DDR-Register anwhlen
          move.l    d1,(a2)             ; alle 4 P-Register Ausgang
          move.b    d0,2(a2)            ; D0..D7 Eingang
          move.l    d2,4(a2)            ; alle P-Register anwhlen

          lea       3(a2),a3
          move.w    mal(pc),d7
          move.w    ausw(pc),d0
          cmpi.w    #1,d0
            beq.s   test1
          cmpi.w    #2,d0
            beq.s   test2
          moveq     #0,d0
          rts
test1
          move.l    #$00010001,d5
          move      SR,d4
          trap      #0                  ; Supervisormodus
          ori       #$0700,SR           ; Interrupts aus
testloop
          moveq     #0,d0
          move.w    zeitk(pc),d0
          mulu      #10,d0              ; 10 * 0.1 ms = 1 ms
;          btst      #31,d3
;            beq.s   brennen1            ; 1.Durchlauf
;          mulu      d3,d0               ; nochmal dasselbe drauf
          ror.l     #8,d5
; ------- Brennschleife
          move.b    d5,3(a2)            ; Steuerbyte program
/loop     subq.l    #1,d0
            bgt.s   loop                ; Brennzeit
          ror.l     #8,d5
          move.b    d5,3(a2)            ; Steuerbyte wait
; -------
          dbf       d7,testloop
          move      d4,SR               ; Usermodus, Interrupts ein
          moveq     #0,d0
          rts
          dc.w      -1
test2
          move      SR,d4
          trap      #0
          ori       #$0700,SR
          bset      #0,(a3)
/loop
          bclr      #0,(a3)
          bset      #0,(a3)
          dbf       d7,loop
          move      d4,SR
          moveq     #0,d0
          rts
          dc.l      -1,-1,-1,-1
